﻿@model WikiModel.Model.Document

@{
    ViewBag.Title = @Caption.Context;
    Layout = "~/Views/Shared/_DocLayout.cshtml";
}

<h2>@Caption.Context @Caption.Documents</h2>

<div>
    <hr />
    <dl class="dl-horizontal">

        <dt>
            @* @Html.DisplayNameFor(model => model.Context)*@
        </dt>

        <dd class="text-justify">
            @Html.Raw(HttpUtility.HtmlDecode(@Html.DisplayFor(model => model.Context).ToString()))
        </dd>

    </dl>
</div>
<p>
    @*    @Html.ActionLink(@Caption.Edit, "Edit", "Documents", new { id = Model.ID }, new { @class = "btn btn-default col-md-1" })*@
    @*@Html.ActionLink(@Caption.BacktoList, "SearchDocuments", "Groups", new { @class = "btn btn-danger col-md-1" })*@
    @Html.ActionLink("بازگشت", "SearchDocuments", "Groups",null, new { @class = "btn btn-danger col-md-1" })

</p>
<br />
@{
    if (Model.Attachments.Count > 0)
    {
        <br />
        <p>
            پیوستها:
        </p>
    }
}
<div class="container">
    <div class="row">
        @foreach (var item in Model.Attachments.ToList())
        {


            <div class="col-md-3 text-center">
                <div class="thumbnail">
                    @{var link = Url.Content(Path.Combine((item.AttPath), item.AttName)); }
                    <a href='@link' target="_blank"> <img src="@link" width="200" height="200" class="img-thumbnail" /> </a>
                    <div class="caption">
 
                        @Html.Label(item.AttTitle, htmlAttributes: new { @class = "control-label" })

                        @*@using (Html.BeginForm(actionName: "Delete", controllerName: "Attachments", routeValues: new { id = item.ID }))
                        {
                            @Html.AntiForgeryToken()
                            <input type="submit" value=@Caption.Delete onclick="return confirm('آیا برای حذف اطمینان دارید؟');" class="btn btn-danger btn-sm"/>
                        }*@
                    </div>
                </div>
            </div>


                        }
    </div>

    </div>
    </div>
    @*var link = Url.Content(item.AttPath) + "\\"+item.AttName;*@
    @*<h4>@Html.ActionLink(@Html.DisplayFor(modelItem => item.AttTitle).ToString(), "Download", new { id = item.ID })</h4>*@
    @*<h4><a href="@link">@Html.DisplayFor(modelItem => item.AttTitle)</a></h4>*@
    @*@Html.ActionLink(@Caption.Edit, "Edit", new { id = item.ID }) |*@
    @*@Html.ActionLink(@Caption.Delete, "Delete", new { id = item.ID })*@
